#version 120

uniform sampler2D tex;
uniform float pfGamma;
uniform float texelX;
uniform float texelY;

void main()
{
	vec3 color = texture2D(tex,gl_TexCoord[0].st).rgb +
				 texture2D(tex,gl_TexCoord[0].st+vec2(0,texelY)).rgb +
				 texture2D(tex,gl_TexCoord[0].st+vec2(texelX,0)).rgb +
				 texture2D(tex,gl_TexCoord[0].st+vec2(texelX,texelY)).rgb;
				 
	color /= 4.0;

	gl_FragColor = vec4(pow(color, vec3(pfGamma)), 1.0); 
}
