#version 120

#define NUM_BLURAMOUNT 4

uniform sampler2D tex;

varying vec2 coords[NUM_BLURAMOUNT+1];
varying float amount[NUM_BLURAMOUNT+1];

void main()
{
	gl_FragColor = vec4(0.0);

	gl_FragColor += texture2D(tex, coords[0]-coords[4])*amount[4];
	gl_FragColor += texture2D(tex, coords[0]-coords[3])*amount[3];
	gl_FragColor += texture2D(tex, coords[0]-coords[2])*amount[2];
	gl_FragColor += texture2D(tex, coords[0]-coords[1])*amount[1];
	gl_FragColor += texture2D(tex, coords[0]) * amount[0];
	gl_FragColor += texture2D(tex, coords[0]+coords[1])*amount[1];
	gl_FragColor += texture2D(tex, coords[0]+coords[2])*amount[2];
	gl_FragColor += texture2D(tex, coords[0]+coords[3])*amount[3];
	gl_FragColor += texture2D(tex, coords[0]+coords[4])*amount[4];
}


